<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>python - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="file.html">file</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="file.html#.readDir">readDir</a></li><li data-type='method' style='display: none;'><a href="file.html#.getFileTime">getFileTime</a></li><li data-type='method' style='display: none;'><a href="file.html#.path">path</a></li><li data-type='method' style='display: none;'><a href="file.html#.exists">exists</a></li><li data-type='method' style='display: none;'><a href="file.html#.load">load</a></li><li data-type='method' style='display: none;'><a href="file.html#.save">save</a></li><li data-type='method' style='display: none;'><a href="file.html#.gnuplot">gnuplot</a></li></ul></li><li><a href="http.html">http</a></li><li><a href="python.html">python</a></li><li><a href="regex.html">regex</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="regex.html#.regexMatch">regexMatch</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexIndexes">regexIndexes</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexReplace">regexReplace</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexSplit">regexSplit</a></li></ul></li><li><a href="stats.html">stats</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="stats.html#.random">random</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getStat">getStat</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getStatValue">getStatValue</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getDivergence">getDivergence</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotHistogram">plotHistogram</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotStatCurve">plotStatCurve</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotStatBoxes">plotStatBoxes</a></li></ul></li><li><a href="std.html">std</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="std.html#.echo">echo</a></li><li data-type='method' style='display: none;'><a href="std.html#.alert">alert</a></li><li data-type='method' style='display: none;'><a href="std.html#.argv">argv</a></li><li data-type='method' style='display: none;'><a href="std.html#.system">system</a></li><li data-type='method' style='display: none;'><a href="std.html#.wfork">wfork</a></li><li data-type='method' style='display: none;'><a href="std.html#.wfork">wfork</a></li></ul></li><li><a href="time.html">time</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="time.html#.sleep">sleep</a></li><li data-type='method' style='display: none;'><a href="time.html#.now">now</a></li><li data-type='method' style='display: none;'><a href="time.html#.nowISO">nowISO</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">python</h1>
    

    




<section>

<header>
    
        <h2>
        
            python
        
        </h2>
        
            <div class="class-description usertext"><ul>
<li>@static</li>
</ul></div>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    
    <h2>Constructor</h2>
    

    <h4 class="name" id="python"><span class="type-signature"></span>python<span class="signature">(what, timeout<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Starts/stops a Python session or runs a command.</p>
<ul>
<li>
<p>This function is accessible via the <code>aidesys::</code> prefix.</p>
</li>
<li>
<p>It is not available in the cygwin environment.</p>
</li>
<li>
<p>To gets a value from the python session, you may use a code of the form:</p>
</li>
</ul>
<pre class="prettyprint source"><code>  aidesys::python(&quot;start&quot;);
  aidesys::python(&quot;v = 2 + 3&quot;);
  std::string r = aidesys::python(&quot;get v&quot;); // => r == &quot;5&quot;
  aidesys::python(&quot;stop&quot;);
</code></pre>
<ul>
<li>The <code>aidesys::python(&quot;command1&quot;); aidesys::python(&quot;command2&quot;); ...</code> sequence is equivalent to the following construct:</li>
</ul>
<pre class="prettyprint source"><code>  #include &lt;Python.h>
  ../..
  int err = PyRun_SimpleString(&quot;command1&quot; &quot;command2&quot;);
  aidesys::alert(err != 0, &quot;illegal-state&quot;, ..
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>what</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>Either</p>
<ul>
<li><code>start</code>: starts the wrapping</li>
<li><code>stop</code>: stops the wrapping.</li>
<li><code>get value</code>: returns a python variable as a string, as if printed via the python <code>print()</code> command.</li>
<li>or any command to execute.</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>timeout</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>0</code>
                
                </td>
            

            <td class="description last"><p>Optional timeout in milliseconds.</p></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>